ShinyEnv:Use("ShinyStats")


ShinyCache = {
	db = {},
	enabled = true,
	tainted = false,
}


function ShinyCache:OnInitialize()
	self:SetEnabled(ShinyDB:GetOption("ENABLE_CACHE"))
	self:Clear()
end


function ShinyCache:Clear()
	self.db = setmetatable({}, { __mode = "kv" })
	-- self.db = {}
	self.tainted = false
end


function ShinyCache:Get(k)
	return self.db[k]
end


function ShinyCache:Set(k, v)
	self.db[k] = v
end


function ShinyCache:IsTainted()
	return (self.tainted == true)
end


function ShinyCache:SetTainted(bool)
	self.tainted = bool
end


function ShinyCache:SetEnabled(bool)
	self.enabled = bool
end


function ShinyCache:IsEnabled()
	return (self.enabled == true)
end


function ShinyCache:Enable()
	self.enabled = true
end


function ShinyCache:Disable()
	self.enabled = false
end


setmetatable(ShinyCache, { 
	__index = function(_,k) 
		return ShinyCache:Get(k)
	end,
	__newindex = function(_,k,v)
		ShinyCache:Set(k,v)
	end, 
})