ShinyEnv:Use("ShinyStats")

-- setfenv(1, ShinyEnv)

local L = ShinyLocale


PATTERN_MAP = {

--[[  S  T  A  N  D  A  R  D  ]]--


	CreatePattern(L["{STAT_NUMBER} Agility"],			                                SHINY_AGILITY,                 PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["Agility by {STAT_NUMBER}"],			                            SHINY_AGILITY,                 PATTERN_CATEGORY_PARTIAL),
	
	CreatePattern(L["{STAT_NUMBER} Stamina"],			                                SHINY_STAMINA,                 PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["Stamina by {STAT_NUMBER}"],			                            SHINY_STAMINA,                 PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["{STAT_NUMBER} Intellect"],			                                SHINY_INTELLECT,               PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["Intellect by {STAT_NUMBER}"],			                            SHINY_INTELLECT,               PATTERN_CATEGORY_PARTIAL),
	
	CreatePattern(L["{STAT_NUMBER} Strength"],			                                SHINY_STRENGTH,                PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["Strength by {STAT_NUMBER}"],			                            SHINY_STRENGTH,                PATTERN_CATEGORY_PARTIAL),
	
	CreatePattern(L["{STAT_NUMBER} Versatility"],			                            SHINY_VERSATILITY,             PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Vv]ersatility by {STAT_NUMBER}"],			                        SHINY_VERSATILITY,             PATTERN_CATEGORY_PARTIAL),
		
	CreatePattern(L["{STAT_NUMBER} Mastery"],			                                SHINY_MASTERY,                 PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Mm]astery by {STAT_NUMBER}"],			                            SHINY_MASTERY,                 PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["{STAT_NUMBER} Avoidance"],			                                SHINY_AVOIDANCE,               PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Aa]voidance by {STAT_NUMBER}"],			                            SHINY_AVOIDANCE,               PATTERN_CATEGORY_PARTIAL),
	
	CreatePattern(L["{STAT_NUMBER} Leech"],			                                    SHINY_LEECH,                   PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Ll]eech by {STAT_NUMBER}"],			                            SHINY_LEECH,                   PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["{STAT_NUMBER} Haste"],			                            	    SHINY_HASTE,                   PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Hh]aste by {STAT_NUMBER}"],			                            SHINY_HASTE,                   PATTERN_CATEGORY_PARTIAL),
									
	CreatePattern(L["{STAT_NUMBER} Critical Strike"],			                        SHINY_CRITICAL,                PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Cc]ritical [Ss]trike by {STAT_NUMBER}"],			                    SHINY_CRITICAL,                PATTERN_CATEGORY_PARTIAL),
					
	CreatePattern(L["{STAT_NUMBER} Armor"],			                                    SHINY_ARMOR,                   PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["[Aa]rmor by {STAT_NUMBER}"],			                            SHINY_ARMOR,                   PATTERN_CATEGORY_EQUIP, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["[Aa]rmor increased by {STAT_NUMBER}"],			                    SHINY_ARMOR,                   PATTERN_CATEGORY_EQUIP, PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["{STAT_NUMBER} PvP Power"],			                                SHINY_PVPPOWER,                PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Pp]v[Pp] [Pp]ower by {STAT_NUMBER}"],			                            SHINY_PVPRESILIENCE,           PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["{STAT_NUMBER} PvP Resilience"],			                        SHINY_PVPRESILIENCE,           PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL, PATTERN_CATEGORY_MULTIPLE),
	CreatePattern(L["[Pp]v[Pp] [Rr]esilience by {STAT_NUMBER}"],			                        SHINY_PVPRESILIENCE,           PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["[Pp]rimary [Ss]tat by {STAT_NUMBER}"],			                        SHINY_PRIMARYSTAT,             PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["^%a+ Artifact Relic$"],			                                SHINY_ARTIFACT_RELIC,  	       PATTERN_CATEGORY_LINE),
	CreatePattern(L["Item Level %d*"],			                                        SHINY_ITEMLEVEL,               PATTERN_CATEGORY_LINE),

	CreatePattern(L["{STAT_NUMBER} Item Levels"],			                            SHINY_ARTIFACT_RELIC_ITEMLEVEL,      PATTERN_CATEGORY_LINE),
	CreatePattern(L["{STAT_NUMBER} Rank:"],			                                    SHINY_ARTIFACT_RELIC_RANK,           PATTERN_CATEGORY_LINE),

	CreatePattern(L["%({STAT_NUMBER} damage per second%)"],			                    SHINY_WEAPONDPS,               PATTERN_CATEGORY_LINE),
	CreatePattern(L["{DAMAGE_RANGE} Damage"],			                                SHINY_WEAPONDAMAGE,            PATTERN_CATEGORY_LINE),
	CreatePattern(L["Speed {STAT_NUMBER}"],			                                    SHINY_WEAPONSPEED,             PATTERN_CATEGORY_LINE),



--[[  S  P  E  C  I  A  L  ]]--

	CreatePattern(L["^Binds when picked up"],			                                SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Binds on equip"],			                                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Soulbound"],			                                            SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Unique"],			                                                SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Unique-Equipped"],			                                    SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Enchanted"],			                                            SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Legacy Set"],			                                            SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Chance on hit"],			                                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Quest"],			                                                SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["^Binds to Battle.net Account"],			                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),
	CreatePattern(L["%({STAT_NUMBER} %a+ Cooldown%)"],			                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL),


	CreatePattern(L["{STAT_NUMBER} Fire Resistance"],			                        SHINY_FIRERESISTANCE,           PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["{STAT_NUMBER} Frost Resistance"],			                        SHINY_FROSTRESISTANCE,          PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["{STAT_NUMBER} Nature Resistance"],			                        SHINY_NATURERESISTANCE,         PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["{STAT_NUMBER} Shadow Resistance"],			                        SHINY_SHADOWRESISTANCE,         PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["{STAT_NUMBER} Arcane Resistance"],			                        SHINY_ARCANERESISTANCE,         PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),


--[[  L  E  G  A  C  Y  ]]--

	CreatePattern(L["{STAT_NUMBER} Parry"],			                                    SHINY_PARRY,                    PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["{STAT_NUMBER} Dodge"],			                                    SHINY_DODGE,                    PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["{STAT_NUMBER} Attack Power"],			  		                    SHINY_ATTACKPOWER,              PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL),

	CreatePattern(L["[Pp]arry by {STAT_NUMBER}"],			                                SHINY_PARRY,                    PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["[Dd]odge by {STAT_NUMBER}"],			                                SHINY_DODGE,                    PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL),
	CreatePattern(L["[Aa]ttack [Pp]ower by {STAT_NUMBER}"],			                        SHINY_ATTACKPOWER,              PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL),


--[[  E  Q  U I  P:    P  R  O  C  ]]--

	CreatePattern(L["^Equip: Your damaging spells have a chance to (.+)"],		                    SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your damaging spellcasts have a chance to (.+)"],		                SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your damaging spells and abilities have a chance to (.+)"],		    SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your healing spells have a chance to (.+)"],		                    SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your healing spellcasts have a chance to (.+)"],		                SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your healing spells and abilities have a chance to (.+)"],		        SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your healing effects have a chance to (.+)"],		                    SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: When you heal you have a chance to (.+)"],		                        SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your spells and abilities have a chance to (.+)"],		                SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: When you deal damage or heal a target you have a chance to (.+)"],		SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: When you heal or deal damage you have a chance to (.+)"],		        SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your ranged attacks and spells have a chance to (.+)"],		        SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your ranged attacks have a chance to (.+)"],		                    SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your melee attacks have a chance to (.+)"],		                    SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your critical autoattacks have a chance to (.+)"],		                SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: When your attacks hit you have a chance to (.+)"],		                SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Your attacks have a chance to (.+)"],		                            SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: When you deal damage you have a chance to (.+)"],		                SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Taking damage has a chance to (.+)"],		                            SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
	CreatePattern(L["^Equip: Chance on being hit to (.+)"],		                                    SHINY_EQUIP_PROC,	PATTERN_CATEGORY_EQUIP),
}


-- PATTERN_MAP = {

-- --[[  S  T  A  N  D  A  R  D  ]]--

-- 	{ L["^%a+ Artifact Relic$"],			                                SHINY_ARTIFACT_RELIC,  	        PATTERN_CATEGORY_LINE },

-- 	{ L["{STAT_NUMBER} Agility"],			                                SHINY_AGILITY,                 PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Agility by {STAT_NUMBER}"],			                            SHINY_AGILITY,                  PATTERN_CATEGORY_PARTIAL },
	
-- 	{ L["{STAT_NUMBER} Stamina"],			                                SHINY_STAMINA,                 PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Stamina by {STAT_NUMBER}"],			                            SHINY_STAMINA,                  PATTERN_CATEGORY_PARTIAL },

-- 	{ L["{STAT_NUMBER} Intellect"],			                                SHINY_INTELLECT,               PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Intellect by {STAT_NUMBER}"],			                            SHINY_INTELLECT,                PATTERN_CATEGORY_PARTIAL },
	
-- 	{ L["{STAT_NUMBER} Strength"],			                                SHINY_STRENGTH,                PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Strength by {STAT_NUMBER}"],			                            SHINY_STRENGTH,                 PATTERN_CATEGORY_PARTIAL },
	
-- 	{ L["{STAT_NUMBER} Versatility"],			                            SHINY_VERSATILITY,             PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Versatility by {STAT_NUMBER}"],			                        SHINY_VERSATILITY,              PATTERN_CATEGORY_PARTIAL },
		
-- 	{ L["Equip: Increases your haste by {STAT_NUMBER}"],			        SHINY_HASTE,                    PATTERN_CATEGORY_EQUIP },
-- 	{ L["haste by {STAT_NUMBER}"],			                                SHINY_HASTE,                    PATTERN_CATEGORY_PARTIAL },
-- 	{ L["{STAT_NUMBER} [hH]aste"],			                                SHINY_HASTE,                   PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
									
-- 	{ L["Equip: Increases your critical strike by {STAT_NUMBER}"],			SHINY_CRITICAL,                 PATTERN_CATEGORY_EQUIP },
-- 	{ L["critical strike by {STAT_NUMBER}"],			                    SHINY_CRITICAL,                 PATTERN_CATEGORY_PARTIAL },
-- 	{ L["{STAT_NUMBER} Critical Strike"],			                        SHINY_CRITICAL,                PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["Item Level %d*"],			                                        SHINY_ITEMLEVEL,                PATTERN_CATEGORY_LINE },

-- 	{ L["primary stat by {STAT_NUMBER}"],			                        SHINY_PRIMARYSTAT,              PATTERN_CATEGORY_PARTIAL },

-- 	{ L["{STAT_NUMBER} Item Levels"],			                            SHINY_ARTIFACT_ITEMLEVEL,        PATTERN_CATEGORY_LINE },
-- 	{ L["{STAT_NUMBER} Rank:"],			                                    SHINY_ARTIFACT_RANK,        		PATTERN_CATEGORY_LINE },
					
-- 	{ L["{STAT_NUMBER} Armor"],			                                    SHINY_ARMOR,                   PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Equip: Armor increased by {STAT_NUMBER}"],			                SHINY_ARMOR,                    PATTERN_CATEGORY_EQUIP  },


-- 	{ L["Equip: Increases your pvp power by {STAT_NUMBER}"],			    SHINY_PVPPOWER,                 PATTERN_CATEGORY_EQUIP },
-- 	{ L["{STAT_NUMBER} PvP Power"],			                                SHINY_PVPPOWER,                PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL)  },

-- 	{ L["Equip: Increases your pvp resilience by {STAT_NUMBER}"],			SHINY_PVPRESILIENCE,            PATTERN_CATEGORY_EQUIP },
-- 	{ L["pvp resilience by {STAT_NUMBER}"],			                        SHINY_PVPRESILIENCE,            PATTERN_CATEGORY_PARTIAL },
-- 	{ L["{STAT_NUMBER} PvP Resilience"],			                        SHINY_PVPRESILIENCE,           PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["Equip: Increases your mastery by {STAT_NUMBER}"],			        SHINY_MASTERY,                  PATTERN_CATEGORY_EQUIP },
-- 	{ L["mastery by {STAT_NUMBER}"],			                            SHINY_MASTERY,                  PATTERN_CATEGORY_PARTIAL },
-- 	{ L["{STAT_NUMBER} Mastery"],			                                SHINY_MASTERY,                 PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

					
-- 	{ L["%({STAT_NUMBER} damage per second%)"],			                    SHINY_WEAPONDPS,                PATTERN_CATEGORY_LINE },

-- 	{ L["{DAMAGE_RANGE} Damage"],			                                SHINY_WEAPONDAMAGE,             PATTERN_CATEGORY_LINE },
	
-- 	{ L["Speed {STAT_NUMBER}"],			                                    SHINY_WEAPONSPEED,              PATTERN_CATEGORY_LINE },



-- --[[  S  P  E  C  I  A  L  ]]--

-- 	{ L["^Binds when picked up"],			                                SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Binds on equip"],			                                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Soulbound"],			                                            SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Unique"],			                                                SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Unique-Equipped"],			                                    SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Enchanted"],			                                            SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Legacy Set"],			                                            SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Chance on hit"],			                                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Quest"],			                                                SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["^Binds to Battle.net Account"],			                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },
-- 	{ L["%({STAT_NUMBER} %a+ Cooldown%)"],			                        SHINY_PASSTHRU,                 PATTERN_CATEGORY_SPECIAL },



-- --[[  L  E  G  A  C  Y  ]]--

-- 	{ L["{STAT_NUMBER} Spirit"],			                                SHINY_SPIRIT,                  PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Spirit by {STAT_NUMBER}"],			                                SHINY_SPIRIT,                  PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
	
-- 	{ L["Equip: Increases your parry by {STAT_NUMBER}"],			        SHINY_PARRY,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["parry by {STAT_NUMBER}"],			                                SHINY_PARRY,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Parry"],			                                    SHINY_PARRY,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["Equip: Increases your block by {STAT_NUMBER}"],			        SHINY_BLOCK,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["block by {STAT_NUMBER}"],			                                SHINY_BLOCK,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Block"],			                                    SHINY_BLOCK,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["Equip: Increases your dodge by {STAT_NUMBER}"],			        SHINY_DODGE,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["dodge by {STAT_NUMBER}"],			                                SHINY_DODGE,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Dodge"],			                                    SHINY_DODGE,                   PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["{STAT_NUMBER} [Aa]ttack [Pp]ower"],			                    SHINY_ATTACKPOWER,             PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["Equip: Increases attack power by {STAT_NUMBER}"],			        SHINY_ATTACKPOWER,             PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["attack power by {STAT_NUMBER}"],			                        SHINY_ATTACKPOWER,             PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["Equip: Increases your expertise by {STAT_NUMBER}"],			    SHINY_EXPERTISE,               PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["expertise by {STAT_NUMBER}"],			                            SHINY_EXPERTISE,               PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Expertise"],			                                SHINY_EXPERTISE,               PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["Equip: Increases your hit by {STAT_NUMBER}"],			            SHINY_HIT,                     PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["hit by {STAT_NUMBER}"],			                                SHINY_HIT,                     PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Hit"],			                                    SHINY_HIT,                     PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["Equip: Increases spell power by {STAT_NUMBER}"],			        SHINY_SPELLPOWER,              PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["spell power by {STAT_NUMBER}"],			                        SHINY_SPELLPOWER,              PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Spell Power"],			                            SHINY_SPELLPOWER,              PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
	
-- 	{ L["Equip: Increases spell penetration by {STAT_NUMBER}"],			    SHINY_SPELLPENETRATION,        PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_EQUIP) },
-- 	{ L["spell penetration by {STAT_NUMBER}"],			                    SHINY_SPELLPENETRATION,        PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Spell Penetration"],			                        SHINY_SPELLPENETRATION,        PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },

-- 	{ L["{STAT_NUMBER} Fire Resistance"],			                        SHINY_FIRERESISTANCE,          PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Frost Resistance"],			                        SHINY_FROSTRESISTANCE,         PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Nature Resistance"],			                        SHINY_NATURERESISTANCE,        PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Shadow Resistance"],			                        SHINY_SHADOWRESISTANCE,        PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- 	{ L["{STAT_NUMBER} Arcane Resistance"],			                        SHINY_ARCANERESISTANCE,        PATTERN_CATEGORY_LEGACY, PATTERN_CATEGORY_LINE, PATTERN_CATEGORY_PARTIAL) },
-- }

